uses
System.Threading;

var ogr,maxn,minn,num:int64;
otv:string;
generatego: Thread;

procedure generate();
begin
if not (otv='Да') or not (otv='да') or not (otv='ДА') then
begin
num:=random(100000000000);
end;
if (otv='Да') or (otv='да') or (otv='ДА') then
begin
num:=random(maxn);
end;
Writeln('Ответ: ',num);
end;
begin
Writeln('Добро пожаловать в рандомайзер!');
repeat
writeln('Будут ли ограничения по генерации?');
readln(otv);
if (otv='Да') or (otv='да') or (otv='ДА') then
begin
ogr:=1;
Write('Максимальное число: ');
readln(maxn);
write('Минимальное число: ');
readln(minn);
end;
generatego := new Thread(generate);
generatego.Start;
sleep(1000);
until otv='Выход';
end.
